Page MenuHomePhabricator

Add RelatedArticles to es.wikinews
Closed, ResolvedPublic

Description

The es.wikinews community hopes to can include this new feature on their articles if it's possible.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2019, 3:05 PM
JSaezAndroid removed JSaezAndroid as the assignee of this task.Aug 17 2019, 3:06 PM

Please provide a link to community discussion (see Meta:Requesting wiki configuration changes), if there's none please open such discussion on the wiki and report back when there's a consensus.

Ammarpad changed the task status from Open to Stalled.Aug 17 2019, 3:57 PM
JSaezAndroid added a comment.EditedAug 17 2019, 6:17 PM

Please provide a link to community discussion (see Meta:Requesting wiki configuration changes), if there's none please open such discussion on the wiki and report back when there's a consensus.

I did not know the process. The corresponding voting has already been opened. As soon as the result is known, it will be notified here. Thanks for the help.

JSaezAndroid changed the task status from Stalled to Open.Aug 18 2019, 3:28 PM

The voting results give for aprobated the propose about adding "Related Articles" extension on es.wikinews although it's not finish yet. However there are consensus, so we request to start the changes.
Special:Diff/662860

The voting results give for aprobated the propose about adding "Related Articles" extension on es.wikinews although it's not finish yet. However there are consensus, so we request to start the changes.
Special:Diff/662860

Thanks for starting the discussion, we shouldn't rush though. Please let it run its course or be closed (if there are local procedures).

Perfect. The voting will conclude at 23:59 UTC next Monday. I will report the results here.

The voting results give for aprobated the propose about adding "Related Articles" extension on es.wikinews although it's not finish yet. However there are consensus, so we request to start the changes.
Special:Diff/662860

Thanks for starting the discussion, we shouldn't rush though. Please let it run its course or be closed (if there are local procedures).

Voting closed successfully with seven votes in favor and zero against.

To turn this on you'll need to update this portion of the mediawiki/config using eswikinews as the key!

'wmgUseRelatedArticles' => [
        'default' => false,
        'wikipedia' => true,
        'wikivoyage' => true,
        'frwikinews' => true, // T143480
        'eswikinews' => true, //T230660
],
// which skins you want to turn the feature on (use empty array for all skins)

'wmgRelatedArticlesFooterWhitelistedSkins' => [
        // T144812
        'default' => [ 'minerva' ],
        // T126826
        'htwiki' => [ 'minerva', 'vector' ],
        'hewiki' => [ 'minerva', 'vector' ], // T191573
        'wikivoyage' => [ 'minerva', 'vector' ],
         'eswikinews' => [], //T230660
],

To turn this on you'll need to update this portion of the mediawiki/config using eswikinews as the key!

'wmgUseRelatedArticles' => [
        'default' => false,
        'wikipedia' => true,
        'wikivoyage' => true,
        'frwikinews' => true, // T143480
        'eswikinews' => true, //T230660
],
// which skins you want to turn the feature on (use empty array for all skins)
'wmgRelatedArticlesFooterWhitelistedSkins' => [
        // T144812
        'default' => [ 'minerva' ],
        // T126826
        'htwiki' => [ 'minerva', 'vector' ],
        'hewiki' => [ 'minerva', 'vector' ], // T191573
        'wikivoyage' => [ 'minerva', 'vector' ],
         'eswikinews' => [], //T230660
],

I imagine that this action must be performed by a user with the necessary permissions.

We would like to add the function in both the web version (Vector) and the mobile version (Minerva).

I imagine that this action must be performed by a user with the necessary permissions.

No - you can write and propose this change yourself. See https://www.mediawiki.org/wiki/Gerrit/Tutorial and edit the file InitialiseSettings.php in the code repository operations/mediawiki-config.

Change 531311 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable RelatedArticles on all skins on eswikinews

https://gerrit.wikimedia.org/r/531311

Urbanecm claimed this task.Tue, Aug 20, 8:50 PM
Urbanecm added a subscriber: Ammarpad.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptTue, Aug 20, 8:50 PM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Tue, Aug 20, 8:50 PM

Change 531311 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RelatedArticles on all skins on eswikinews

https://gerrit.wikimedia.org/r/531311

Mentioned in SAL (#wikimedia-operations) [2019-08-20T23:27:24Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: fd2cece: Enable RelatedArticles on all skins on eswikinews (T230660) (duration: 00m 52s)

Ammarpad removed a subscriber: Ammarpad.Wed, Aug 21, 6:11 AM
TheDJ closed this task as Resolved.Wed, Aug 21, 8:43 AM